
/*GLOBAL*/

*before ,*after{
	box-sizing: border-box;
}

html,body{
	margin: 0;
}

html{
	font-family: 'Roboto', sans-serif;
}


header,main{
	margin: 0 auto;
}

img{
	max-width: 100%;
}

ul{
	padding-left: 0;
}
/*HEADER*/

h1{
	text-transform: uppercase;
	text-align: center;
	font-size: 3em;
	color:white;
}

nav a, button a {
	text-decoration: none;
}

header h1{
	padding: 7% 0px 0px 0px;
	text-shadow: 3px 3px 0px rgba(0, 0, 0, 1);

}

body{
	background: rgba(138,198,255,1);
	background: -moz-linear-gradient(-45deg, rgba(138,198,255,1) 0%, rgba(73,155,234,1) 29%, rgba(32,124,229,1) 53%, rgba(68,14,245,1) 86%, rgba(68,14,245,1) 100%);
	background: -webkit-gradient(left top, right bottom, color-stop(0%, rgba(138,198,255,1)), color-stop(29%, rgba(73,155,234,1)), color-stop(53%, rgba(32,124,229,1)), color-stop(86%, rgba(68,14,245,1)), color-stop(100%, rgba(68,14,245,1)));
	background: -webkit-linear-gradient(-45deg, rgba(138,198,255,1) 0%, rgba(73,155,234,1) 29%, rgba(32,124,229,1) 53%, rgba(68,14,245,1) 86%, rgba(68,14,245,1) 100%);
	background: -o-linear-gradient(-45deg, rgba(138,198,255,1) 0%, rgba(73,155,234,1) 29%, rgba(32,124,229,1) 53%, rgba(68,14,245,1) 86%, rgba(68,14,245,1) 100%);
	background: -ms-linear-gradient(-45deg, rgba(138,198,255,1) 0%, rgba(73,155,234,1) 29%, rgba(32,124,229,1) 53%, rgba(68,14,245,1) 86%, rgba(68,14,245,1) 100%);
	background: linear-gradient(135deg, rgba(138,198,255,1) 0%, rgba(73,155,234,1) 29%, rgba(32,124,229,1) 53%, rgba(68,14,245,1) 86%, rgba(68,14,245,1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#8ac6ff', endColorstr='#440ef5', GradientType=1 );
}

header{
	border-radius: 0px 0px 0px 0px;
	-moz-border-radius: 0px 0px 0px 0px;
	-webkit-border-radius: 0px 0px 0px 0px;
	border-bottom: 5px solid rgb(167, 168, 168);
	text-shadow: 2px 2px 0px rgba(0, 0, 0, 1);
}



	/* menu nav*/


.menu-demo2, .menu-demo2 ul{
	padding-bottom: 30px;
    padding-top: 8%;;
	margin:0;
	list-style:none;
	text-align:center;
}
.menu-demo2 li{
	display:inline-block;
	position:relative;
}
.menu-demo2 ul li{
	display:inherit;
}

.menu-demo2 ul{
	position:absolute;
	z-index: 1000;
	max-height:0;
	left: 0;
	right: 0;
	overflow:hidden;
	-moz-transition: .8s all .3s;
	-webkit-transition: .8s all .3s;
	transition: .8s all .3s;
}

.menu-demo2 li span{
	
	text-transform: capitalize;
	font-size:1.5rem;
}

.menu-demo2 li:hover ul{
	max-height:15em;
	text-transform: capitalize;
}

	/* les a href */
.menu-demo2 span{
	text-decoration:none;
	display:block;
	padding:8px 32px;
	color:#fff;
	font-family:arial;
}
.menu-demo2 ul span{
	padding:8px 0;
}
.menu-demo2 li:hover li span{
	color:#fff;
	text-transform:inherit;
}
.menu-demo2 li:hover span, .menu-demo2 li li:hover span{
	color:rgb(167, 168, 168);
}


/*MAIN*/
main h1{
	color: black;
	font-size: 2.1rem;
}

main
{	
	background-color: white;
	border-radius: 0px 0px 0px 0px;
	-moz-border-radius: 0px 0px 0px 0px;
	-webkit-border-radius: 0px 0px 0px 0px;
	border-bottom: 5px solid rgb(167, 168, 168);
}


h2{
	font-size: 2rem;
	text-transform: capitalize;
	color: black;
}


#container{
	width: 80%;
	margin: 0 auto;
}

/*HOME*/

#home-main{
	background-image: url(../img/home.jpg);
	background-size: cover;
	padding: 11% 0px;
}

#home-main a{
	text-decoration: none;
	font-size: 20px;
}

#home-main button{
	padding: 20px;
}

#home-main p{
	text-align: center;
	font-size: 2rem;
}

#home-main h2{
	text-align: center;
}

#home-main strong{
	color: rgba(138,198,255,1);
}

#home-main li{
	font-size: 2.5rem;
    text-align: center;
}

button ,button a{
    display: block;
    margin: 0 auto;
    padding: 10px;
   	text-transform: uppercase;
   	color: white;
   	background-color: rgba(138,198,255,1);
   	border-style: none;

}

button:hover , button:hover a {
	background-color: rgba(73,155,234,1);
	color:  #d9e6f2;
}

/*PRESENTATION*/

#article{
	padding-top: 50px;
    padding-bottom: 60px;
    width: 80%;
    margin: 0 auto;
}

#article section{
	border-bottom-style: dotted;
	border-bottom-width: 2px;
	border-color:#c6d9ec;
	text-align: center;
}

#article section:nth-child(3) p{
	display: inline;
}

section:nth-child(3){
	/*display: flex;*/
}

#article label{
	display: block;
}

.monCamenber{
	display: flex;
    justify-content: space-around;
}

#article p,#article h2,.lecteur{
	margin: 50px 0px;
}

#article h2{
	text-align: left;
}
	
.alignement{
	display: inline-grid;
	margin: 0px 4%;
	text-align: center;
}

.alignement p {
	font-size: 1.2em;
	text-transform: uppercase;
	font-weight: bold;
	color:rgb(128, 191, 252);
}

.alignement span{
	color: rgb(71, 153, 233);
}

#lecteur{
	width: 73%;
    margin: 0 auto;
    
}

#lecteur iframe{
	display: inline-block;
    margin: 3px;
}

#article section:nth-child(4) {
	border-style: none;
}



/*CONTACT*/

.stylecontact{
	background-color: white;
	padding-top: 50px;
	padding-bottom: 30px;
}

.stylecontact h2{
	margin-left: 14%;
}

	/* formulaire contact */

	form{
		margin: 0 auto;
	
	}

	fieldset{
		color: #F6AD1A;
		border-color: #F6AD1A;
		border-style: outset;
		width: 70%;
	    margin: 0 auto;
	}

	label{
		display: inline-block;
		width: 90px;
		text-align: left;
		padding-left: 3%;
		padding-top: 30px;
	    padding-bottom: 10px;
		text-transform: uppercase;
	}

	ul{
		list-style: none;
	}

	#form ul li{
		display: grid;
	}

	#form input{
		width: 30%;
	    margin-left: 3%;
	  
	}

	#form textarea{
		width: 90%;
	    margin: 0px 3%;
	    height: 150px;
	}

	#form li:last-child
	{
		display: inherit;
		text-align: center;
		padding-top: 20px;
	}

	#form button{
		display: inline-block;
	    padding: 10px;
	    text-transform: uppercase;
		color: white;
		border-style: none;
	}

.alert{
	color:white;
	background-color: #f07a7a;
	border-radius: 5px 5px 5px 5px;
	-moz-border-radius: 5px 5px 5px 5px;
	-webkit-border-radius: 5px 5px 5px 5px;
	border: 7px solid #e82121;
	padding: 10px;
}

.succes{
	color:white;
	background-color: #7af0a9;
	border-radius: 5px 5px 5px 5px;
	-moz-border-radius: 5px 5px 5px 5px;
	-webkit-border-radius: 5px 5px 5px 5px;
	border: 7px solid #22e650;
	padding: 10px;
}

/*PROJECTS*/

#infoB {
	padding-top: 50px;
	padding-bottom: 63px;
}

#infoB section{
	display: inline-block;
}

#infoB section a{
	text-decoration: none;
	color: black;
}

#infoB section p{
    font-size: 2em;
}



#infoB #container{
	width: 87%;
	text-align: center;
    display: flex;
    justify-content: space-around;
    padding-top: 50px;
}

#infoB button a{
	color: white;
	padding: 6.5px;
}

#infoB button{
	margin-top: 15px;
}

#infoB section h2{
	margin: 14px 0px;
    text-align: center;
}

#infoB section img{
	width: 80%;
	height: 90%;
}


/*FOOTER*/

footer{
	color: white;
	padding-top: 3.3rem;
    padding-bottom: 3.5rem;
}

footer h3{
	text-align: center;
}

footer a{
	text-transform: none;
	color: white;
	text-decoration: none;
}

footer h3{
	text-transform: capitalize;
}

footer nav{
	margin-left: 37%;
}

footer i {
	color: rgba(255,175,75,1);
	color: -moz-linear-gradient(left, rgba(255,175,75,1) 0%, rgba(255,146,10,1) 100%);
	color: -webkit-gradient(left top, right top, color-stop(0%, rgba(255,175,75,1)), color-stop(100%, rgba(255,146,10,1)));
	color: -webkit-linear-gradient(left, rgba(255,175,75,1) 0%, rgba(255,146,10,1) 100%);
	color: -o-linear-gradient(left, rgba(255,175,75,1) 0%, rgba(255,146,10,1) 100%);
	color: -ms-linear-gradient(left, rgba(255,175,75,1) 0%, rgba(255,146,10,1) 100%);
	color: linear-gradient(to right, rgba(255,175,75,1) 0%, rgba(255,146,10,1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffaf4b', endColorstr='#ff920a', GradientType=1 );
	
}

footer i:hover{
	opacity: 0.8;
}

footer a{
	font-size: 1.5rem;
}

footer .fa{
	font-size: 2.5rem;
	padding-right: 3.5px;
}

/*TABLETTE*/

@media screen and (max-width: 1024px)
{
	/*GLOBAL*/
	body{
		    padding: 75px 0px;
	}

	/*MAIN*/

	#container{
		width: 100%;
	}

	/*FOOTER*/

	footer{
		padding-top: 4rem;
	}

	/*PRESENTATION*/

	#article{
		width: 90%;
	}

	.alignement{
		margin: 0px 10%;
	}

	#lecteur {
    width: 84%;
	}

	/*PROJECT*/

	#infoB section{
		width: 100%;
		text-align:center;
		padding-left: 0px;
	}

}

@media screen and (max-width: 768px)
{	
	/*PRESENTATION*/
	#infoB #container{
		display: block;
	}

	#infoB button{
		margin-bottom: 70px;
	}

	/*CONTACT*/
	#form input{
		width: 40%;
	}

}

@media screen and (max-width: 653px)
{
	/*HOME*/
	/*menu*/
	.menu-demo2{
		display: inline-grid;
	}

	header nav{
		text-align: center;
	}

	body{
		padding: 0px;
	}

	#home-main li{
		font-size: 1.5rem;
	}

	/*CONTACT*/

	fieldset{
		width: 90%;
	}

	#form input{
		width: 91%;
	}

	#form li:last-child {
    	display: inline-grid;
	}

	#form ul{
		text-align: center;
	}

	#form button{
		margin: 10px;
	}

	/*FOOTER*/

	footer nav{
		display: inline-grid;
	}

	footer .fa{
		font-size: 50px;
		padding-top: 10px;
	}
}	

@media screen and (min-width: 1040px) and (max-width: 1877px)
{

	/*PRESENTATION*/
	/* canvas cercle*/
	.alignement{
		margin: 0px 11%;
	}
}

@media screen and (min-width: 1024px) and (max-width: 1148px)
{
	/*PRESENTATION*/
	/* canvas cercle*/
	.alignement{
		margin: 0px 6%;
	}
}

@media screen and (min-width: 1024px) and (max-width: 1243px)
{
	/*PRESENTATION*/
	/*Lecteur*/
	#lecteur{
		width: 100%;
	}
}